Skip to content
Docs

List image tags

GEThttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/tags/list
GET /v2/:teamSlug/:projectSlug/:repositoryName/tags/list List the tags in a repository.
Request
import { Vercel } from "@vercel/sdk";
const vercel = new Vercel();
async function run() {
const result = await vercel.vcr.getByTeamSlugByProjectSlugByRepositoryNameTagsList({
teamSlug: "team-slug",
projectSlug: "project-slug",
repositoryName: "nginx",
});
console.log(result);
}
run();
Response
{
"name": "Example Name",
"tags": []
}
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
nintegerOptional
laststringOptional
Opaque pagination cursor returned by a previous list response.
200Success
namestringRequired
tagsarrayRequired
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error